package com.ruoyi.board.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 预置信息及模版表
 */
@Data
@TableName(value = "pub_preset_content")
public class PresetContent {
    /**
     * 主键自增
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 预置信息名称
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 情报板尺寸
     */
    @TableField(value = "board_size_type")
    private Integer boardSizeType;

    /**
     * 信息类型
     */
    @TableField(value = "info_type")
    private Integer infoType;

    /**
     * 预置内容
     */
    @TableField(value = "content")
    private String content;

    /**
     * 预览路径
     */
    @TableField(value = "preview_path")
    private String previewPath;

    /**
     * 字体样式
     */
    @TableField(value = "font_style")
    private String fontStyle;

    /**
     * 字体大小
     */
    @TableField(value = "font_size")
    private Integer fontSize;

    /**
     * 字体间距
     */
    @TableField(value = "letter_spacing")
    private Integer letterSpacing;

    /**
     * 字体颜色
     */
    @TableField(value = "font_color")
    private String fontColor;

    /**
     * 字体坐标X
     */
    @TableField(value = "font_position_x")
    private Integer fontPositionX;

    /**
     * 字体坐标Y
     */
    @TableField(value = "font_position_y")
    private Integer fontPositionY;

    /**
     * 播放时间
     */
    @TableField(value = "play_time")
    private Integer playTime;

    /**
     * 当前预置类型 1：内置模版 0：预发布信息
     */
    @TableField(value = "preset_type")
    private Integer presetType;

    /**
     * 备注
     */
    @TableField(value = "remark")
    private String remark;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 创建人id
     */
    @TableField(value = "create_by")
    private Integer createBy;

    /**
     * 更新人id
     */
    @TableField(value = "update_by")
    private Integer updateBy;
}